#!/bin/sh
#post-install script.
#Puppy Linux
#assume current directory is rootfs-complete, which has the final filesystem.
#this script is similar to the post-install scripts of the window managers.
#Keywords are located in the Help page and the lines uncommented.

WKGDIR="`pwd`"

CONFIGFILE="usr/share/doc/index.html"
CONFIGBASE="index.html"
echo "Configuring Puppy skeleton..."

#cleanup...
rm -f /tmp/fbvideomode.txt


#/tmp/keywords.txt has all the keywords read from file "keyword" in each package.
KEYWORDS="`cat /tmp/keywords.txt`"
NUMKEYS="`wc -w /tmp/keywords.txt | tr -s " " | cut -f 2 -d " "`"

#number lines in the config file...
NUMLINES="`wc -l $CONFIGFILE | tr -s " " | cut -f 2 -d " "`"

#update Puppy version number...
PUPPYVERSION="`cat root0/.etc/puppyversion`"
#echo
echo "Have read rootfs-complete/etc/puppyversion."
echo "The current version of Puppy is $PUPPYVERSION (3 digits, no dots)."
echo -n "Type a new value now, or only press ENTER to keep current: "
read nnnn
if [ ! "$nnnn" = "" ];then
 echo "Puppy version is now $nnnn"
 PUPPYVERSION="$nnnn"
fi
rm -f root0/.etc/puppyversion
echo -n "$PUPPYVERSION" > root0/.etc/puppyversion
DIGIT1="`echo "$PUPPYVERSION" | cut -b 1`"
DIGIT2="`echo "$PUPPYVERSION" | cut -b 2`"
DIGIT3="`echo "$PUPPYVERSION" | cut -b 3`"
RIGHTVER="${DIGIT1}.${DIGIT2}.${DIGIT3}"

echo "Configuring Puppy Help page..."

echo "Writing version number to Help page..."
#insert the version number into file...
EDITTEXT="s/PUPPYVERSION/$RIGHTVER/g"
cat $CONFIGFILE | sed -e "$EDITTEXT" > /tmp/puphelppage.htm
sync
cp -f /tmp/puphelppage.htm $CONFIGFILE
sync

#insert date into file...
echo "Writing the date to Help page..."
PUPPYDATE="`date | tr -s " " | cut -f 2,6 -d " "`"
EDITTEXT="s/PUPPYDATE/$PUPPYDATE/g"
cat $CONFIGFILE | sed -e "$EDITTEXT" > /tmp/puphelppage.htm
sync
cp -f /tmp/puphelppage.htm $CONFIGFILE
sync


REBUILDMENU="yes"
if [ -f /tmp/bypassmenurebuild ];then
 #bypassmenurebuild will only exist if previous execution of createpuppy had the
 #identical chosen packages.
 if [ -f ../$CONFIGBASE.bak ];then
  cp -f ../$CONFIGBASE.bak $CONFIGFILE
  REBUILDMENU="no"
 fi
fi

if [ "$REBUILDMENU" = "yes" ];then
 echo "The number of keywords to process is $NUMKEYS."
 echo "Processing keywords..."
 for ONEKEY in $KEYWORDS
 do
  echo -n " $ONEKEY"
  sync
  #remove the <!-- and --> markers if the line contains the keyword
  EDITTEXT="s/^<!--\(.\+$ONEKEY.\+\)-->/\1/"
  sed -e "$EDITTEXT" $CONFIGFILE > /tmp/0rootfs_skeleton.pinstall.temp
  sync
  mv -f /tmp/0rootfs_skeleton.pinstall.temp $CONFIGFILE
 done
 cp -f $CONFIGFILE ../$CONFIGBASE.bak
fi
rm -f /tmp/0rootfs_skeleton.pinstall.temp

echo
echo "...rootfs-complete/$CONFIGFILE file has been processed."

#echo "The default kernel for Puppy is vmlinuz."
echo -n "vmlinuz" > /tmp/vmlinuzforpup.txt
#note, createpuppy will read this.

#end#
