#!/bin/sh
#post-install script.
#Puppy Linux
#assume current directory is rootfs-complete, which has the final filesystem.
WKGDIR="`pwd`"

####CHANGE THESE THREE LINES FOR ANOTHER W.M.#####
echo "Configuring menu for Fvwm95 window manager..."
CONFIGFILE="root0/.fvwm95rc"
CONFIGBASE="DOTfvwm95rc"

#...for example above line actually finds string:  #+ "Gcombust
#   replaces it with + "Gcombust, in case of keyword being Gcombust.
#   The above code is somewhat obfuscated. What we end up with below is:
#    sed -e 'g/#+ "Gcombust/+ "Gcombust/s'

#...well, this is simply removing a # in column 1 to uncomment the line.
#   an xml config file may have <!-- stuff in here --> so you will have to
#   do it a bit differently -- see JWM post-install script for an example.

#/tmp/keywords.txt has all the keywords read from file "keyword" in each package.
KEYWORDS="`cat /tmp/keywords.txt`"
NUMKEYS="`wc -w /tmp/keywords.txt | tr -s " " | cut -f 2 -d " "`"

REBUILDMENU="yes"
if [ -f /tmp/bypassmenurebuild ];then
 #bypassmenurebuild will only exist if previous execution of createpuppy had the
 #identical chosen packages.
 if [ -f ../$CONFIGBASE.bak ];then
  cp -f ../$CONFIGBASE.bak $CONFIGFILE
  REBUILDMENU="no"
 fi
fi

if [ "$REBUILDMENU" = "yes" ];then
 echo "The number of keywords to process is $NUMKEYS."
 echo "Processing keywords..."

 for ONEKEY in $KEYWORDS
 do
  echo -n " $ONEKEY"
  #remove the # at the start of the line if it is #+ "ONEKEY
  EDITTEXT="s/^#+ \"$ONEKEY /+ \"$ONEKEY /"
  sync
  sed -e "$EDITTEXT" $CONFIGFILE > /tmp/fvwm95.pinstall.temp
  sync
  mv -f /tmp/fvwm95.pinstall.temp $CONFIGFILE
 done
 cp -f $CONFIGFILE ../$CONFIGBASE.bak
fi
rm /tmp/fvwm95.pinstall.temp
echo
echo "...rootfs-complete/$CONFIGFILE file has been processed."

#NOTE:
#This script is not complete. Unfortunately there is an inconsistency in the format
#of menu syntax in Fvwm config file, and curently have left the first item in each
#menu group permanently enabled. It is probably possible to rectify that, but will
#need some crafty code here. Basically, first item has a space or tab in column one,
#following items have a + character.
echo
echo "WARNING: Unfortunately there is an inconsistency in the /root/.fvwm95rc config"
echo "file such that the first item in each sub-menu cannot be commented-out."
echo "The items are:"
echo " Find menu: Gtkcat, Run menu: Xrun, Games menu: Bubbles, Multimedia: Xtmix,"
echo " Internet menu: Gftp, Graphics: Xpaint, Wordprocessing: Abiword, Calc: Xcalc,"
echo " Information menu: Xcalendar, File menu: ROX-Filer."
echo "This means that you MUST choose these packages, otherwise you need to manually"
echo "edit /root0/.fvwm95rc."
echo
echo -n "Press ENTER key to continue script: "
read mmnn

#end#
